# SoapClient::__setCookie

(PHP 5 >= 5.0.4, PHP 7, PHP 8)

SoapClient::__setCookie — El propósito de __setCookie

### Descripción

public SoapClient::__setCookie(string `$name`, string `$value` = ?): void

Define una cookie a ser enviada conjunto con la peticiones SOAP.

> Nota:

> Al llamar este método afectará a todas las siguentes llamadas a los métodos SoapClient.

### Parámetros

`name`

  El nombre de la cookie.

`value`

  El valor de la cookie. Si no se especifica, la cookie será eliminada.

### Valores devueltos

No devuelve ningún valor.